<?php
/**
 * @copyright Custom Scriptz
 * http://customscriptz.com | diego@customscriptz.com
 * Cannot be sold or freely distributed
 */

define('BOX_HEADING_CUSTOMSCRIPTZ', 'Custom Scriptz');

define('TEXT_CS_LICENSE_MANAGER', 'License Manager');
define('TEXT_CS_HOW_TO_GET_LICENSE_KEY', 'How to Check the License Key of your Modules');
define('TEXT_CS_HOW_GET_LICENSE_DESCRIPTION', '
	<li>Login to the <a href="https://customscriptz.com/clientarea.php?action=products" target="_blank">Customers Area</a>.</li>
    <li>Click the <strong>View Details</strong> button next to the modules name.</li>
');

define('TEXT_CS_HOW_TO_ADD_NEW_MODULE_DESCRIPTION', 'To activate the <strong>Add new Module</strong> tab, you have to open the module main page from the admin menu.');

define('TEXT_CS_VALIDATION_ACTIVE', 'This license is active.');
define('TEXT_CS_VALIDATION_PENDING', 'Error: This license is pending review.');
define('TEXT_CS_VALIDATION_SUSPENDED', 'Error: This license has been suspended.');
define('TEXT_CS_VALIDATION_TERMINATED', 'Error: This license has been terminated.');
define('TEXT_CS_VALIDATION_CANCELLED', 'Error: This license has been cancelled.');
define('TEXT_CS_VALIDATION_FRAUD', 'Error: This license has been marked as fraud.');
define('TEXT_CS_VALIDATION_EXPIRED', 'Error: This license has expired.');
define('TEXT_CS_VALIDATION_INVALID_LICENSE_KEY', 'Error: This license is invalid.');
define('TEXT_CS_VALIDATION_DOWNLOAD_ACCESS_EXPIRED', 'Error: This version of the software was released after your download access expired. Please downgrade or contact support for more information.');
define('TEXT_CS_VALIDATION_MISSING_LICENSE_KEY', 'Error: The license key variable is empty.');
define('TEXT_CS_VALIDATION_UNKNOWN_LOCAL_KEY_TYPE', 'Error Unknown: I could not obtain a new local license key.');
define('TEXT_CS_VALIDATION_COULD_NOT_OBTAIN_LOCAL_KEY', 'Error: I could not obtain a new local license key.');
define('TEXT_CS_VALIDATION_COULD_NOT_OBTAIN_LOCAL_KEY_CANT_CONTACT_SERVER', 'Error: I could not obtain a new local license key. Make sure that cURL is enabled on your PHP. Ask your hosting company to check.');
define('TEXT_CS_VALIDATION_MAXIMUM_GRACE_PERIOD_EXPIRED', 'Error: The maximum local license key grace period has expired.');
define('TEXT_CS_VALIDATION_LOCAL_KEY_TAMPERING', 'Error: The local license key has been tampered with or is invalid.');
define('TEXT_CS_VALIDATION_LOCAL_KEY_INVALID_FOR_LOCATION', 'Error: The local license key is invalid for this location.');
define('TEXT_CS_VALIDATION_MISSING_LICENSE_FILE', 'Error: Please create the following file (and directories if they don\'t exist already):<br />\r\n<br />\r\n');
define('TEXT_CS_VALIDATION_LICENSE_FILE_NOT_WRITABLE', 'Error: Please make the following path writable:<br />');
define('TEXT_CS_VALIDATION_INVALID_LOCAL_KEY_STORAGE', 'Error: I could not determine the local key storage on clear.');
define('TEXT_CS_VALIDATION_COULD_NOT_SAVE_LOCAL_KEY', 'Error: I could not save the local license key.');
define('TEXT_CS_VALIDATION_LICENSE_KEY_STRING_MISMATCH', 'Error: The local key is invalid for this license.');
define('TEXT_CS_VALIDATION_MD5_FAILED', 'Error: MD5 Checksum Verification Failed.');
define('TEXT_CS_VALIDATION_DOMAIN_INVALID', 'Error: This license is not valid for this domain.');
define('TEXT_CS_VALIDATION_IP_INVALID', 'Error: This license is not valid for this IP.');
define('TEXT_CS_VALIDATION_DIR_INVALID', 'Error: This license is not valid for this directory.');

define('TEXT_CS_LICENSE_KEY_EMPTY', 'Error: License key empty');
define('TEXT_CS_NO_LICENSE_KEY', 'Error: You must enter a license key.');

define('TEXT_CS_PRIVATEAREA_LICENSE_ISSUE_SUBJECT', 'PrivateArea License Error');
define('TEXT_CS_PRIVATEAREA_LICENSE_ISSUE_TEXT', "The following license error is preventing PrivateArea to work properly:\n%s\n\nYou may fix the license issue by clicking the link below:\n%s\n\nFeel free to contact Custom Scriptz if you need any help.\nAs soon as the issue with the license is fixed, go to Configuration -> PrivateArea and enabled the panel again.");

define('TEXT_CS_SAVING', 'Saving...');
define('TEXT_CS_DELETING', 'Deleting...');
define('TEXT_CS_PLEASE_WAIT', 'Please wait...');
define('TEXT_CS_REDIRECT_TO_VALIDATE', "I'm going to redirect you to the module page, so I can validate the new key.");
define('TEXT_CS_PROMPT_DELETE', 'Are you sure that you want to delete the module \'" + module[1] + "\'?\\n\\nOnce deleted, you\'ll have to load the module page again to be able to register that module.');
define('TEXT_CS_REDIRECT_TO_MODULE', "I'm going to redirect you to the module page.");

define('TEXT_CS_TAB_MODULES_INSTALLED', 'Modules Installed');
define('TEXT_CS_TAB_ADD_NEW_MODULE', 'Add new Module');
define('TEXT_CS_MODULE', 'Module');
define('TEXT_CS_LICENSE_KEY', 'License Key');
define('TEXT_CS_ADD_MODULE', 'Add Module');

define('TEXT_CS_RETURN_TO_LICENSE_MANAGER', 'Module installed/updated successfully. <a href="%s">Go back to License Manager</a>');

define('TEXT_CS_NAME', 'Name');
define('TEXT_CS_ID', 'ID');
define('TEXT_CS_VERSION', 'Version');
define('TEXT_CS_DATE_INSTALLED', 'Date Installed');
define('TEXT_CS_ACTION', 'Action');

define('TEXT_CS_NO_MODULES', 'No modules installed');
define('TEXT_CS_ENTER_SECRET_KEY', 'Secret key:');
define('TEXT_CS_VALIDATE_SECRET_KEY', 'Validate Secret Key');
define('TEXT_CS_INVALID_SECRET_KEY', 'Error: Invalid secret key.');
define('TEXT_CS_INSTRUCTIONS_SECRET_KEY', 'To be able to see the licenses, you must enter the Secret Key.<br />Go to Admin -> Configuration -> PrivateArea -> Secret Key -> Copy and past below');

define('TEXT_CS_COULD_NOT_FILE_CONTENTS', 'I could not obtain the contents of this file. Please, contact the support at support@customscriptz.com');