<?php
/**
 * @copyright Custom Scriptz
 * http://customscriptz.com | diego@customscriptz.com
 * Cannot be sold or freely distributed
 */

class customScriptz extends base
{
	var $module = array();
	var $page;
	var $ip = 'http://173.254.253.164';
	var $url = 'https://customscriptz.com';

	function customScriptz($module = array()) {
		global $db;

		//$db->Execute("UPDATE " . TABLE_CONFIGURATION . " SET configuration_value = 0 WHERE configuration_key = 'GZIP_LEVEL'");

		//ob_end_clean();

		$bt = debug_backtrace();
		$caller = array_shift($bt);

		if (!isset($module['module_id'])) {
			$module['module_id'] = $module['id'];
		}

		if (!isset($_GET['module_id'])) {
			$_GET['module_id'] = $_GET['id'];
		}

		if (!isset($module['module_id'])) {
			$module = $_SESSION[$_GET['module_id']];
		}

		$this->module = $module;
		$this->page = basename($_SERVER['PHP_SELF']);

		if (is_array($module) && isset($module['module_id'])) $_SESSION[$this->module['module_id']]['install'] = false;
		$this->checkTable();

		if (isset($_GET['action']) && $_GET['action'] == 'licenseManager')
			$this->loadLicenseManager();
		else if (isset($module['module_id']) && !isset($_SESSION[$module['module_id']]['nextCheck']) || isset($module['module_id']) && date('Y-m-d H:i:s', $_SESSION[$this->module['module_id']]['nextCheck']) < date('Y-m-d H:i:s', time()))
			$this->checkModuleLicense($_GET['action']);
	}

	function loadLicenseManager()
	{
		global $db;

		@include(ADMIN_PATH . 'includes/languages/' . $_SESSION['language'] . '/extra_definitions/customscriptz.php');

		$adminpath = (defined('ADMIN_PATH') ? ADMIN_PATH : DIR_FS_ADMIN);
		$htmlbackup = @file_get_contents($adminpath . 'includes/customscriptz.php');

		// No actions, so, show module manager
		if (!$_GET['do'])
		{
			$html = @file_get_contents($this->url . '/licensemanager/index.php');
			if (strpos($html, 'Custom Scriptz') === false && strpos($html, 'customscriptz.com') === false)
				$html = @file_get_contents($this->ip . '/licensemanager/index.php');

			if (strpos($html, 'Custom Scriptz') === false && strpos($html, 'customscriptz.com') === false)
				$html = $htmlbackup;

			$local_file_version = DIR_FS_CATALOG . DIR_WS_CLASSES . 'customscriptz.version';
			if (!file_exists($local_file_version))
				@file_put_contents($local_file_version, '0');

			$latest_version = @file_get_contents($this->url . '/licensemanager/version.ini');
			$local_version = @file_get_contents($local_file_version);
			if (!empty($latest_version) && $latest_version > $local_version)
			{
				$package = @file_get_contents($this->url . '/licensemanager/package.zip');
				$tempdirname = 'customscriptz-temp';
				$tempdir = DIR_FS_CATALOG . $tempdirname;
				@mkdir($tempdir, 0777);

				$file = $tempdir . '/customscriptz.zip';
				$fh = @fopen($file, 'w');
				@fwrite($fh, $package);
				@fclose($fh);

				if (file_exists($file))
				{
					$this->unzip($file);

					$path = str_replace('\\', '/', substr(DIR_FS_ADMIN, 0, -1));
					$admindir = substr($path, strrpos($path, '/') + 1);
					@rename($tempdir . '/admin', $tempdir . '/' . $admindir);
					if (file_exists($tempdir . '/' . $admindir))
					{
						$this->dirmv($tempdir . '/' . $admindir, DIR_FS_CATALOG);
						$this->dirmv($tempdir . '/includes', DIR_FS_CATALOG);
					}
					@unlink($tempdir);


				}
				@file_put_contents($local_file_version, $latest_version);
			}

			$modules = $this->getModules();
			if (defined('PRIVATEAREA_PATH') && strpos($_SERVER['REQUEST_URI'], PRIVATEAREA_PATH) !== false && !$_SESSION['SECRET_KEY'] && defined('ADMIN_PATH'))
			{
				$modules = '<table>';
				$modules .= '<tr><td colspan="2">' . TEXT_CS_INSTRUCTIONS_SECRET_KEY . '</td></tr>';
				$modules .= '<tr><td colspan="2">&nbsp;</td></tr>';
				$modules .= '<tr><td>' . TEXT_CS_ENTER_SECRET_KEY . '</td><td><input type="text" name="secret_key" value="" /></td></tr>';
				$modules .= '<tr><td>&nbsp;</td><td><button id="validate_secret_key" onclick="return false">' . TEXT_CS_VALIDATE_SECRET_KEY . '</button><span class="processing"></span></td></tr>';
				$modules .= '</table>';
			}

			$disableAddModuleTab = "$('#tabs').tabs('option','disabled', [1]);";
			if ($_SESSION[$this->module['module_id']]['install']) unset($disableAddModuleTab);

			$module_name = ($_SESSION[$_GET['module_id']]['module']['name'] ? $_SESSION[$_GET['module_id']]['module']['name'] : $_SESSION[$_GET['module_id']]['module']['module_id']);
			$module_id = $_GET['module_id'];

			$strings = array(
				'{modules}',
				'{module_name}',
				'{disableAddModuleTab}',
				'{license_instructions_title}',
				'{license_instructions_description}',
				'{module_id}',
				'{module_name}',
				'{add_new_module_description}',
				'{page}',
				'{saving}',
				'{deleting}',
				'{please_wait}',
				'{redirect_to_validate}',
				'{prompt_delete}',
				'{redirect_to_module}',
				'{tab_modules_installed}',
				'{tab_add_new_module}',
				'{module}',
				'{license_key}',
				'{add_module}',
				'{license_manager}',
				);

			$replace = array(
				$modules,
				$module_name,
				$disableAddModuleTab,
				TEXT_CS_HOW_TO_GET_LICENSE_KEY,
				TEXT_CS_HOW_GET_LICENSE_DESCRIPTION,
				$module_id,
				$module_name,
				TEXT_CS_HOW_TO_ADD_NEW_MODULE_DESCRIPTION,
				$this->page,
				TEXT_CS_SAVING,
				TEXT_CS_DELETING,
				TEXT_CS_PLEASE_WAIT,
				TEXT_CS_REDIRECT_TO_VALIDATE,
				TEXT_CS_PROMPT_DELETE,
				TEXT_CS_REDIRECT_TO_MODULE,
				TEXT_CS_TAB_MODULES_INSTALLED,
				TEXT_CS_TAB_ADD_NEW_MODULE,
				TEXT_CS_MODULE,
				TEXT_CS_LICENSE_KEY,
				TEXT_CS_ADD_MODULE,
				TEXT_CS_LICENSE_MANAGER,
				);

			die(str_replace($strings, $replace, $html));
		}
		else if ($_GET['do'] == 'update_module' && isset($_GET))
		{
			$module_id = zen_db_input($_GET['module']);
			$license_key = zen_db_input($_GET['license_key']);

			$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET
							module_key = '" . trim($license_key) . "',
							module_local_key = ''
						  WHERE module_id = '" . trim($module_id) . "'
						  ");

			$module = $db->Execute("SELECT module_data FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $module_id . "'");
			$module_data = unserialize($module->fields['module_data']);

			$result['page_redirect'] = $module_data['main_page'] . '?action=updateDB';

			die(json_encode($result));
		}
		else if ($_GET['do'] == 'delete_module' && isset($_GET))
		{
			$module_id = zen_db_input($_GET['module']);

			$db->Execute("DELETE FROM " . TABLE_CUSTOM_SCRIPTZ . "
						  WHERE module_id = '" . $module_id . "'
						  ");
			die();
		}
		else if ($_GET['do'] == 'add_module' && isset($_GET))
		{
			$license_key = zen_db_input($_GET['license_key']);
			$module_id = zen_db_input($_GET['module']);

			$this->addNewModule($license_key, $module_id);
		}
		else if ($_GET['do'] == 'validate_secret_key' && isset($_GET))
		{
			header('Content-Type: text/html; charset=utf-8');
			$secret_key = zen_db_input($_GET['secret_key']);
			$check = $db->Execute("SELECT configuration_value AS secret_key FROM " . TABLE_CONFIGURATION . " WHERE configuration_key = 'PRIVATEAREA_SECRET_KEY'");

			$result['status'] = 'error';

			if ($check->fields['secret_key'] && $check->fields['secret_key'] == $secret_key)
			{
				$_SESSION['SECRET_KEY'] = $secret_key;
				$result['status'] = 'success';
				$result['message'] = $this->getModules();
			}
			else
			{
				$result['message'] = TEXT_CS_INVALID_SECRET_KEY;
			}

			die(json_encode($result));
		}
	}

	function getModules() {
		global $db;

		$modules = $db->Execute("SELECT * FROM " . TABLE_CUSTOM_SCRIPTZ . " ORDER BY module_id");

		$html = '';
		$validator = '';
		while(!$modules->EOF)
		{
			$html .= '<tr id="module-' . $modules->fields['module_id'] . '"' . ($_SESSION[$modules->fields['module_id']]['error'] ? ' class="error"' : '') . '>';
			$html .= '<td>' . $modules->fields['module_name'] . '</td>';
			$html .= '<td>' . $modules->fields['module_id'] . '</td>';
			$html .= '<td>' . $modules->fields['module_version'] . '</td>';
			$html .= '<td>' . substr($modules->fields['module_installed'], 0, 10) . '</td>';
			$html .= '<td class="module_key"><span>' . $modules->fields['module_key'] . '</span><input type="text" value="' . $modules->fields['module_key'] . '" class="hidden" /></td>';
			$html .= '<td class="action">
						<span class="process"></span>
						<ul class="icons">
							<li class="ui-state-default ui-corner-all icon-save hidden"><span class="ui-icon ui-icon-disk"></span></li>
							<li class="ui-state-default ui-corner-all icon-cancel hidden"><span class="ui-icon ui-icon-cancel"></span></li>
							<li class="ui-state-default ui-corner-all icon-edit"><span class="ui-icon ui-icon-pencil"></span></li>
							<li class="ui-state-default ui-corner-all icon-delete"><span class="ui-icon ui-icon-trash"></span></li>
						</ul>
					</td>';
			$html .= '</tr>';

			if ($_SESSION[$modules->fields['module_id']]['error'])
			{
				$html .= '<tr class="error module-' . $modules->fields['module_id'] . '">';
				$html .= '<td colspan="6">' . $_SESSION[$modules->fields['module_id']]['error'] . '</td>';
				$html .= '</tr>';

				unset($_SESSION[$modules->fields['module_id']]['error']);
			}
			//$validator .= $this->checkModuleLicense($modules->fields['module_key'], false);

			$modules->MoveNext();
		}

		if (!$html) $html = '<tr><td colspan="6">' . TEXT_CS_NO_MODULES . '</td></tr>';

		return '
<table class="table">
	<thead>
		<tr>
			<td>' . TEXT_CS_NAME . '</td>
			<td>' . TEXT_CS_ID . '</td>
			<td>' . TEXT_CS_VERSION . '</td>
			<td>' . TEXT_CS_DATE_INSTALLED . '</td>
			<td>' . TEXT_CS_LICENSE_KEY . '</td>
			<td>' . TEXT_CS_ACTION . '</td>
		</tr>
	</thead>
	<tbody>
		' . $html . '
	</tbody>
</table>';

	}

	function addNewModule($license_key, $module_id)
	{
		global $db;

		$result['status'] = 'error';
		if (true)
		{
			$this->module = $_SESSION[$module_id]['module'];
			$module_data = $_SESSION[$module_id]['module'];
			unset($module_data['secret_key']);

			$checkModule = $db->Execute("SELECT module_id FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'");
			if ($checkModule->RecordCount() > 0)
				$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_key = '" . zen_db_input(trim($license_key)) . "', module_name = '" . $this->module['name'] . "', module_data = '" . serialize($module_data) . "' WHERE module_id = '" . $this->module['module_id'] . "'");
			else
				$db->Execute("INSERT INTO " . TABLE_CUSTOM_SCRIPTZ . " (module_id, module_version, module_installed, module_updated, module_key, module_name) VALUES ('" . $this->module['module_id'] . "', '" . $this->module['version'] . "', '" . date('Y-m-d H:i:s') . "', '" . date('Y-m-d H:i:s') . "', '" . zen_db_input($license_key) . "', '" . $this->module['name'] . "')");

			$spbas = new spbas();
			$whmcs = new whmcs();
			$errors = '';
			if ($this->module['method'] == 'whmcs')
			{
				$local_key = $db->Execute("SELECT module_local_key AS local_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'");
				$local_key = $local_key->fields['local_key'];

				$whmcs->license_key = $license_key;
				$whmcs->local_key = $local_key;
				$whmcs->release_date = $this->module['release_date'];
				$whmcs->secret_key = $this->module['secret_key'];
				$whmcs->url = $this->url;
				$whmcs->ip = $this->ip;

				$whmcs->validate();

				$errors = $whmcs->errors;
				if (!$errors) {
					$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '" . $whmcs->local_key . "' WHERE module_id = '" . $this->module['module_id'] . "'");
				}
			}
			else
			{
				$spbas->license_key = $license_key;
				$spbas->api_server = $this->url . '/spbas/api/index.php';

				$spbas->secret_key = $this->module['secret_key'];

				$spbas->validate_download_access = true;
				$spbas->release_date = $this->module['release_date'];

				$spbas->local_key_storage = 'database';

				$spbas->read_query = "SELECT module_local_key AS local_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'";
				$spbas->update_query = "UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '{local_key}' WHERE module_id = '" . $this->module['module_id'] . "'";

				$spbas->clear_cache_local_key(true);
				$spbas->validate();
				$errors = $spbas->errors;

				if ($errors)
				{
					$spbas = new spbas();
					$spbas->license_key = $license_key;
					$spbas->api_server = $this->ip . '/spbas/api/index.php';

					$spbas->secret_key = $this->module['secret_key'];

					$spbas->validate_download_access = true;
					$spbas->release_date = $this->module['release_date'];

					$spbas->local_key_storage = 'database';

					$spbas->read_query = "SELECT module_local_key AS local_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'";
					$spbas->update_query = "UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '{local_key}' WHERE module_id = '" . $this->module['module_id'] . "'";

					$spbas->clear_cache_local_key(true);
					$spbas->validate();
					$errors = $spbas->errors;
				}
			}

			if ($errors)
			{
				$_SESSION[$this->module['module_id']]['error'] = $errors;
				$result['message'] = $errors;
			}
			else
			{
				$result['status'] = 'success';
				$result['page_redirect'] = $_SESSION[$this->module['module_id']]['module']['main_page'] . '?action=updateDB';
				unset($_SESSION[$this->module['module_id']]['install']);
				//unset($_SESSION[$this->module['module_id']]);
			}
		}
		else
		{
			$result['message'] = TEXT_CS_NO_LICENSE_KEY;
		}

		foreach ($result as $key => $value)
			$result[$key] = utf8_encode($value);

		die(json_encode($result));
	}

	function checkModuleLicense($action = '', $retry = false)
	{
		global $db, $messageStack;

		if (strpos($_SERVER['REQUEST_URI'], PRIVATEAREA_PATH) !== false) include(ADMIN_PATH . 'includes/languages/' . $_SESSION['language'] . '/extra_definitions/customscriptz.php');

		// Check if we have a license key for this module
		$license = $db->Execute("SELECT module_version, module_id, module_key AS license_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'");
		$license_key = $license->fields['license_key'];
		$module_id = $license->fields['module_id'];
		$module_version = $license->fields['module_version'];

		$_SESSION[$this->module['module_id']]['module'] = $this->module;

		if ($license_key && $module_id)
		{
			$spbas = new spbas();
			$whmcs = new whmcs();

			$module_data = $this->module;
			unset($module_data['secret_key']);

			$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_name = '" . $this->module['name'] . "', module_data = '" . serialize($module_data) . "' WHERE module_id = '" . $this->module['module_id'] . "'");

			$errors = '';
			if ($this->module['method'] == 'whmcs')
			{
				$local_key = $db->Execute("SELECT module_local_key AS local_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'");
				$local_key = $local_key->fields['local_key'];

				$whmcs->license_key = $license_key;
				$whmcs->local_key = $local_key;
				$whmcs->release_date = $this->module['release_date'];
				$whmcs->secret_key = $this->module['secret_key'];
				$whmcs->url = $this->url;
				$whmcs->ip = $this->ip;

				$whmcs->validate();
				$errors = $whmcs->errors;

				if (!$errors) {
					$_SESSION[$this->module['module_id']]['nextCheck'] = strtotime('+24 hours');
					$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '" . $whmcs->local_key . "' WHERE module_id = '" . $this->module['module_id'] . "'");
				}
			}
			else
			{
				$spbas->license_key = $license_key;
				$spbas->api_server = $this->url . '/spbas/api/index.php';

				$spbas->secret_key = $this->module['secret_key'];

				$spbas->validate_download_access = true;
				$spbas->release_date = $this->module['release_date'];

				//$spbas->local_key_grace_period = '1,2,3,4,5,6,7';
				$spbas->local_key_storage = 'database';

				$spbas->read_query = "SELECT module_local_key AS local_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'";
				$spbas->update_query = "UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '{local_key}' WHERE module_id = '" . $this->module['module_id'] . "'";

				if ($retry) $spbas->clear_cache_local_key(true);
				$spbas->validate();
				$errors = $spbas->errors;

				if ($errors)
				{
					$spbas = new spbas();
					$spbas->license_key = $license_key;
					$spbas->api_server = $this->ip . '/spbas/api/index.php';

					$spbas->secret_key = $this->module['secret_key'];

					$spbas->validate_download_access = true;
					$spbas->release_date = $this->module['release_date'];

					//$spbas->local_key_grace_period = '1,2,3,4,5,6,7';
					$spbas->local_key_storage = 'database';

					$spbas->read_query = "SELECT module_local_key AS local_key FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '" . $this->module['module_id'] . "'";
					$spbas->update_query = "UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '{local_key}' WHERE module_id = '" . $this->module['module_id'] . "'";

					if ($retry) $spbas->clear_cache_local_key(true);
					$spbas->validate();
					$errors = $spbas->errors;
				}

			}

			if ($errors)
			{
				if ($errors == TEXT_CS_VALIDATION_LOCAL_KEY_TAMPERING && $retry == false)
				{
					$this->checkModuleLicense($action, true);
					if (strpos($_SERVER['REQUEST_URI'], PRIVATEAREA_PATH) === false) $this->redirect();
				}

				$_SESSION[$this->module['module_id']]['error'] = $errors;
				if (strpos($_SERVER['REQUEST_URI'], PRIVATEAREA_PATH) !== false)
				{
					if (!$_SESSION['ADMIN_WARNED'])
					{
						$link = HTTP_SERVER . ADMIN_DIR . 'providers.php?action=licenseManager';
						//zen_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, TEXT_CS_PRIVATEAREA_LICENSE_ISSUE_SUBJECT, sprintf(TEXT_CS_PRIVATEAREA_LICENSE_ISSUE_TEXT, $spbas->errors, $link), STORE_NAME, EMAIL_FROM);
						/*$db->Execute("UPDATE " . TABLE_CONFIGURATION . " SET configuration_value = 'Disabled', last_modified = '" . date('Y-m-d H:i:s') . "' WHERE configuration_key = 'PROVIDER_PANEL_STATUS'");
						   $db->Execute("UPDATE " . TABLE_CONFIGURATION . " SET configuration_value = 'The panel is currently disabled due to a issue. We\'ll be back shortly.<br />', last_modified = '" . date('Y-m-d H:i:s') . "' WHERE configuration_key = 'PROVIDER_PANEL_MSG'");*/
						$_SESSION['ADMIN_WARNED'] = true;
					}
				}
				else
					$this->redirect('action=licenseManager&error=true&method=' . (isset($this->module['method']) ? $this->module['method'] : 'spbas'));
			}
			else if ($module_version < $this->module['version'])
			{

				$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_version = '" . $this->module['version'] . "' WHERE module_id = '" . $this->module['module_id'] . "'");
				$this->redirect('action=updateDB');
			}
			else if ($action == 'updateDB')
			{
				$messageStack->add(sprintf(TEXT_CS_RETURN_TO_LICENSE_MANAGER, zen_href_link($this->page, 'action=licenseManager')), 'success');
				//$this->redirect('action=' . $action);
			}

			if (!$errors)
				$_SESSION[$this->module['module_id']]['nextCheck'] = strtotime('+24 hours');
		}
		else if (!$license_key && $module_id)
		{
			$_SESSION[$this->module['module_id']]['error'] = TEXT_CS_LICENSE_KEY_EMPTY;
			$this->redirect('action=licenseManager&error=license_key_empty');
		}
		else
		{
			$_SESSION[$this->module['module_id']]['install'] = true;
			if (strpos($_SERVER['REQUEST_URI'], ADMIN_DIR) || !defined('ADMIN_DIR'))
				$this->redirect('action=licenseManager&id=' . $this->module['module_id'] . '&method=' . $this->module['method'] . '#tabs-new-module');
			else
				die('You must install PrivateArea from the admin first');
		}
	}

	function redirect($params = '', $page = '', $url = '')
	{
		if (!$page) $page = $this->page;

		if (strpos($params, 'installModule') === false && strpos($params, 'updateModule') === false)
			zen_redirect(zen_href_link($page, $params));
		else if (strpos($params, 'installModule') !== false && strpos($params, 'updateModule') !== false)
			zen_redirect(zen_href_link($page, 'action=licenseManager&error=default_redirect'));
		else if ($url)
			zen_redirect($url);
	}

	function checkModule()
	{
		global $db;
		$this->checkModuleLicense();
	}

	// #################### OLD CODE - START ###########################
	function loadInstallPage($step = '')
	{
		global $db;

		if (!$step || $step == '3')
		{
			$this->checkModuleLicense();
		}
	}

	function sendEmailAlert($module_name, $module_id, $module_version) {
		global $db;

		$version_check = $db->Execute("SELECT * FROM " . TABLE_CUSTOM_SCRIPTZ . " WHERE module_id = '".$module_id."'");
		$current_version = $version_check->fields['module_version'];

		if (empty($current_version))
		{
			$type = "Installed";

			//insert data onto the module database
			$db->Execute("INSERT INTO " . TABLE_CUSTOM_SCRIPTZ . " (
								module_id,
								module_version,
								module_installed
							) values(
								'".$module_id."',
								'".$module_version."',
								'".date("Y-m-d H:i:s")."'
							)");
		}
		else if (!empty($current_version) AND $current_version < $module_version)
		{
			$type = "Updated";

			//update the database with the current software version
			$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET
							module_version = '".$module_version."',
							module_oldversion = '".$current_version."',
							module_updated = '".date("Y-m-d H:i:s")."'
						  WHERE module_id = '".$module_id."'
						  ");
		}

		if ($type)
		{
			$adminData = $db->Execute("select admin_name, admin_email from " . TABLE_ADMIN . " where admin_id = '" . zen_db_input($_SESSION['admin_id']) . "'");

			$message = "Module ".$type." Succesfully.\n";
			$message .= "Module Version: " . $module_version . "\n";
			if ($oldversion != 0) $message .= "Module Old Version: " . $oldversion . "\n";
			$message .= "Store Name: " . STORE_NAME . "\n";
			$message .= "Store Owner: " . STORE_OWNER . " (".STORE_OWNER_EMAIL_ADDRESS.")\n";
			$message .= "Store URL: " . HTTP_CATALOG_SERVER . DIR_WS_CATALOG . "\n";
			$message .= "Store Admin URL: " . HTTP_SERVER . DIR_WS_ADMIN . "\n";
			$message .= "Logged in Admin: " . $adminData->fields['admin_name'] . " (".$adminData->fields['admin_email'].")\n";
			$message .= "Date: " . date('d/m/y H:i:s') . "\n";

			$subject = STORE_NAME . ': ' . $module_name . ' ' . $type;
			zen_mail('Diego', 'diego@customscriptz.com', $subject, $message, STORE_NAME, EMAIL_FROM, array('EMAIL_MESSAGE_HTML' => nl2br($message)));
		}
	}

	function validateLicense($license_key = '', $clear_cache_local_key = false)
	{
		global $db;

		return true;
	}

	function resetLocalKey()
	{
		global $db;
		$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_local_key = '' WHERE module_id = '" . $this->module['module_id'] . "'");
		$this->redirect();
	}

	function resetKey()
	{
		global $db;
		$db->Execute("UPDATE " . TABLE_CUSTOM_SCRIPTZ . " SET module_key = '' WHERE module_id = '" . $this->module['module_id'] . "'");
		$this->redirect();
	}

	// #################### OLD CODE - END ###########################

	function checkTable()
	{
		global $db;
		$db->Execute("CREATE TABLE IF NOT EXISTS " . TABLE_CUSTOM_SCRIPTZ . " (
						  `customscriptz_id` int(11) NOT NULL AUTO_INCREMENT,
						  `module_id` varchar(50) NOT NULL,
						  `module_version` char(10) NOT NULL,
						  `module_oldversion` char(10) NULL,
						  `module_installed` datetime NULL DEFAULT '0001-01-01 00:00:00',
						  `module_updated` datetime NULL DEFAULT '0001-01-01 00:00:00',
						  `module_key` varchar(100) NULL DEFAULT '',
						  `module_local_key` text NULL,
						  PRIMARY KEY (`customscriptz_id`)
						) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;");

		$checkfields = $db->metaColumns(TABLE_CUSTOM_SCRIPTZ);
		if (!$checkfields['MODULE_KEY']->type)
		{ $db->Execute("ALTER TABLE " . TABLE_CUSTOM_SCRIPTZ . " ADD module_key varchar(100) NULL DEFAULT ''"); }

		if (!$checkfields['MODULE_LOCAL_KEY']->type)
		{ $db->Execute("ALTER TABLE " . TABLE_CUSTOM_SCRIPTZ . " ADD module_local_key text NULL"); }

		if (!$checkfields['MODULE_NAME']->type)
		{ $db->Execute("ALTER TABLE " . TABLE_CUSTOM_SCRIPTZ . " ADD module_name varchar(100) NULL DEFAULT ''"); }

		if (!$checkfields['MODULE_DATA']->type)
		{ $db->Execute("ALTER TABLE " . TABLE_CUSTOM_SCRIPTZ . " ADD module_data text NULL"); }

		$project_version = $db->Execute("SELECT project_version_minor FROM " . TABLE_PROJECT_VERSION . " WHERE project_version_id = 1");
		if ((int)substr($project_version->fields['project_version_minor'], 0, 1) >= 5)
		{
			$menu = $db->Execute("SELECT * FROM " . TABLE_ADMIN_MENUS . " WHERE menu_key = 'customscriptz'");
			if ($menu->RecordCount() <= 0)
				$db->Execute("REPLACE INTO " . TABLE_ADMIN_MENUS . " (menu_key, language_key, sort_order) VALUES ('customscriptz', 'BOX_HEADING_CUSTOMSCRIPTZ', '12')");

			// PrivateArea
			$sort_order = 1;
			$this->insertModulePage('privatearea_providers', 'BOX_TOOLS_PROVIDERS', 'FILENAME_PROVIDERS', $sort_order++);
			$this->insertModulePage('privatearea_product_queue', 'BOX_TOOLS_PRODUCT_QUEUE', 'FILENAME_PRODUCT_QUEUE', $sort_order++);
			$this->insertModulePage('privatearea_providers_login', 'BOX_TOOLS_PROVIDERS_LOGIN', 'FILENAME_PROVIDERS_LOGIN', $sort_order++);
			$this->insertModulePage('privatearea_send_mail', 'BOX_TOOLS_PROVIDERS_SEND_EMAIL', 'FILENAME_PROVIDERS_SEND_EMAIL', $sort_order++);
			$this->insertModulePage('privatearea_sales_page', 'BOX_TOOLS_PROVIDERS_SALES', 'FILENAME_PROVIDERS_SALES', $sort_order++);
			$this->insertModulePage('privatearea_search_log_admin', 'BOX_TOOLS_SEARCH_LOG_ADMIN', 'FILENAME_SEARCH_LOG_ADMIN', $sort_order++);
			$this->insertModulePage('privatearea_stats_search_log', 'BOX_REPORTS_SEARCH_LOG', 'FILENAME_STATS_SEARCH_LOG', $sort_order++);

			// Sales Report
			if (defined('BOX_REPORTS_SALES_REPORT_COMMISSION'))
			{
				$this->insertModulePage('sales_report', 'BOX_REPORTS_SALES_REPORT', 'FILENAME_STATS_SALES_REPORT', $sort_order++);
				$this->insertModulePage('sales_report_commission', 'BOX_REPORTS_SALES_REPORT_COMMISSION', 'FILENAME_STATS_SALES_REPORT_COMMISSION', $sort_order++);
				$this->insertModulePage('sales_report_commission_group', 'BOX_REPORTS_SALES_REPORT_COMMISSION_GROUP', 'FILENAME_STATS_SALES_REPORT_COMMISSION_GROUP', $sort_order++);
			}

			// Email Orders
			$this->insertModulePage('email_orders', 'BOX_CUSTOMERS_EMAIL_ORDERS', 'FILENAME_EMAIL_ORDERS', $sort_order++);
			$this->insertModulePage('email_orders_edit_email', 'BOX_CUSTOMERS_EMAIL_ORDERS_EDIT_EMAIL', 'FILENAME_EMAIL_ORDERS_EDIT_EMAIL', $sort_order++);

			// Free Gifts
			$this->insertModulePage('free_gifts', 'BOX_TOOLS_FREE_GIFTS', 'FILENAME_FREEGIFTS', $sort_order++);

			// Reset Customers Password
			$this->insertModulePage('reset_customer_password', 'BOX_CUSTOMERS_RESET_CUSTOMER_PASSWORD', 'FILENAME_CUSTOMER_RESET_PASSWORD', $sort_order++);

			// PagSeguro
			$this->insertModulePage('pagseguro', 'BOX_CUSTOMERS_PAGSEGURO', 'FILENAME_PAGSEGURO', $sort_order++);

			// Special Date
			$this->insertModulePage('specialdate', 'BOX_TOOLS_SPECIAL_DATE', 'FILENAME_SPECIAL_DATE', $sort_order++);

			// Image Handler
			$check = $db->Execute("SELECT * FROM " . TABLE_ADMIN_PAGES . " WHERE page_key = 'image_handler' OR page_key = 'configImageHandler4'");
			if ($check->RecordCount() <= 0)
				$this->insertModulePage('image_handler', 'BOX_TOOLS_IMAGE_HANDLER', 'FILENAME_IMAGE_HANDLER', 50, 'tools');

			$check1 = $db->Execute("SELECT * FROM " . TABLE_ADMIN_PAGES . " WHERE page_key = 'image_handler'");
			$check2 = $db->Execute("SELECT * FROM " . TABLE_ADMIN_PAGES . " WHERE page_key = 'configImageHandler4'");
			if ($check1->RecordCount() == 1 && $check2->RecordCount() == 1)
				$db->Execute("DELETE FROM " . TABLE_ADMIN_PAGES . " WHERE page_key = 'image_handler'");

			// Subscribe Designer
			$this->insertModulePage('subscribe_designer', 'BOX_TOOLS_SUBSCRIBE_DESIGNERS', 'FILENAME_SUBSCRIBE_DESIGNER', $sort_order++);

		}
	}

	function insertModulePage($page_key, $language_key, $main_page, $sort_order = 1, $menu = 'customscriptz', $display_on_menu = 'Y')
	{
		global $db;

		@ini_set('error_reporting', E_ALL & ~E_DEPRECATED & ~E_NOTICE);

		if (!@file_exists(DIR_FS_ADMIN . @constant($main_page) . '.php')) return;
		if (!defined('TABLE_ADMIN_PAGES')) return;

		$db->Execute("REPLACE INTO " . TABLE_ADMIN_PAGES . " (page_key, language_key, main_page, menu_key, display_on_menu, sort_order) VALUES ('" . $page_key . "', '" . $language_key . "', '" . $main_page . "', '" . $menu . "', '" . $display_on_menu . "', " . $sort_order . ")");

		if ($main_page == 'FILENAME_PROVIDERS')
		{
			$group_id = $db->Execute("SELECT configuration_group_id AS group_id FROM " . TABLE_CONFIGURATION_GROUP . " WHERE configuration_group_title = '" . BOX_CONFIGURATION_PRIVATEAREA . "'");
			$group_id = $group_id->fields['group_id'];
			if ($group_id > 0)
				$db->Execute("REPLACE INTO " . TABLE_ADMIN_PAGES . " (page_key, language_key, main_page, page_params, menu_key, display_on_menu, sort_order) VALUES ('configPrivateArea', 'BOX_CONFIGURATION_PRIVATEAREA', 'FILENAME_CONFIGURATION', 'gID=" . $group_id . "', 'configuration', 'Y', 999)");
		}

		if ($main_page == 'FILENAME_STATS_SALES_REPORT')
		{
			$group_id = $db->Execute("SELECT configuration_group_id AS group_id FROM " . TABLE_CONFIGURATION_GROUP . " WHERE configuration_group_title = '" . BOX_CONFIGURATION_SALESREPORT . "'");
			$group_id = $group_id->fields['group_id'];
			if ($group_id > 0)
				$db->Execute("REPLACE INTO " . TABLE_ADMIN_PAGES . " (page_key, language_key, main_page, page_params, menu_key, display_on_menu, sort_order) VALUES ('configSalesReport', 'BOX_CONFIGURATION_SALESREPORT', 'FILENAME_CONFIGURATION', 'gID=" . $group_id . "', 'configuration', 'Y', 999)");
		}

		if ($main_page == 'FILENAME_EMAIL_ORDERS')
		{
			$group_id = $db->Execute("SELECT configuration_group_id AS group_id FROM " . TABLE_CONFIGURATION_GROUP . " WHERE configuration_group_title = '" . BOX_CONFIGURATION_EMAILORDERS . "'");
			$group_id = $group_id->fields['group_id'];
			if ($group_id > 0)
				$db->Execute("REPLACE INTO " . TABLE_ADMIN_PAGES . " (page_key, language_key, main_page, page_params, menu_key, display_on_menu, sort_order) VALUES ('configEmailOrders', 'BOX_CONFIGURATION_EMAILORDERS', 'FILENAME_CONFIGURATION', 'gID=" . $group_id . "', 'configuration', 'Y', 999)");
		}

		if ($main_page == 'FILENAME_FREEGIFTS')
		{
			$group_id = $db->Execute("SELECT configuration_group_id AS group_id FROM " . TABLE_CONFIGURATION_GROUP . " WHERE configuration_group_title = '" . BOX_CONFIGURATION_FREEGIFTS . "'");
			$group_id = $group_id->fields['group_id'];
			if ($group_id > 0)
				$db->Execute("REPLACE INTO " . TABLE_ADMIN_PAGES . " (page_key, language_key, main_page, page_params, menu_key, display_on_menu, sort_order) VALUES ('configFreeGifts', 'BOX_CONFIGURATION_FREEGIFTS', 'FILENAME_CONFIGURATION', 'gID=" . $group_id . "', 'configuration', 'Y', 999)");
		}
	}

	function unzip($file){
		if (class_exists('ZipArchive'))
		{
			$zip = new ZipArchive;
			$res = $zip->open($file);
			if ($res === TRUE) {
				$path = substr($file, 0, strrpos($file, '/') + 1);
				$zip->extractTo($path);
				$zip->close();
			}
		}
	}

	function dirmv($source, $dest, $overwrite = true, $funcloc = NULL)
	{
		if(is_null($funcloc)){
			$dest .= '/' . strrev(substr(strrev($source), 0, strpos(strrev($source), '/')));
			$funcloc = '/';
		}

		if(!is_dir($dest . $funcloc))
			mkdir($dest . $funcloc); // make subdirectory before subdirectory is copied

		if($handle = opendir($source . $funcloc)){ // if the folder exploration is sucsessful, continue
			while(false !== ($file = readdir($handle))){ // as long as storing the next file to $file is successful, continue
			if($file != '.' && $file != '..'){
				$path  = $source . $funcloc . $file;
				$path2 = $dest . $funcloc . $file;

				if(is_file($path)){
				if(!is_file($path2)){
					if(!@rename($path, $path2)){
					//echo '<font color="red">File ('.$path.') could not be moved, likely a permissions problem.</font>';
					}
				} elseif($overwrite){
					if(!@unlink($path2)){
					//echo 'Unable to overwrite file ("'.$path2.'"), likely to be a permissions problem.';
					} else
					if(!@rename($path, $path2)){
					//	echo '<font color="red">File ('.$path.') could not be moved while overwritting, likely a permissions problem.</font>';
					}
				}
				} elseif(is_dir($path)){
				$this->dirmv($source, $dest, $overwrite, $funcloc . $file . '/'); //recurse!
				rmdir($path);
				}
			}
			}
			closedir($handle);
		}
	}
}

	// ################################## SPBAS LICENSE MANAGER ############################################
	// ################################# Update: 11 October 2011 ###########################################
/**
 * SPBAS License Validation
 *
 * @license 		Commercial / Proprietary
 * @copyright	SolidPHP, Inc.
 * @package		SPBAS_License_Method
 * @author		Andy Rockwell <support@solidphp.com>
 */
class spbas
{
	var $errors;
	var $license_key;
	var $api_server;
	var $remote_port;
	var $remote_timeout;
	var $local_key_storage;
	var $read_query;
	var $update_query;
	var $local_key_path;
	var $local_key_name;
	var $local_key_transport_order;
	var $local_key_grace_period;
	var $local_key_last;
	var $validate_download_access;
	var $release_date;
	var $key_data;
	var $status_messages;
	var $valid_for_product_tiers;

	function spbas()
	{
		$this->errors=false;
		$this->remote_port=80;
		$this->remote_timeout=10;
		$this->valid_local_key_types=array('spbas');
		$this->local_key_type='spbas';
		$this->local_key_storage='filesystem';
		$this->local_key_grace_period=0;
		$this->local_key_last=0;
		$this->read_query=false;
		$this->update_query=false;
		$this->local_key_path='./';
		$this->local_key_name='license.txt';
		$this->local_key_transport_order='csf';
		$this->validate_download_access=false;
		$this->release_date=false;
		$this->valid_for_product_tiers=false;

		$this->key_data=array(
						'custom_fields' => array(),
						'download_access_expires' => 0,
						'license_expires' => 0,
						'local_key_expires' => 0,
						'status' => 'Invalid',
						);

		$this->status_messages=array(
						'active' => TEXT_CS_VALIDATION_ACTIVE . ' (' . __LINE__ . ')',
						'suspended' => TEXT_CS_VALIDATION_SUSPENDED . ' (' . __LINE__ . ')',
						'expired' => TEXT_CS_VALIDATION_EXPIRED . ' (' . __LINE__ . ')',
						'pending' => TEXT_CS_VALIDATION_PENDING . ' (' . __LINE__ . ')',
						'download_access_expired' => TEXT_CS_VALIDATION_DOWNLOAD_ACCESS_EXPIRED . ' (' . __LINE__ . ')',
						'missing_license_key' => TEXT_CS_VALIDATION_MISSING_LICENSE_KEY . ' (' . __LINE__ . ')',
						'unknown_local_key_type' => TEXT_CS_VALIDATION_UNKNOWN_LOCAL_KEY_TYPE . ' (' . __LINE__ . ')',
						'could_not_obtain_local_key' => TEXT_CS_VALIDATION_COULD_NOT_OBTAIN_LOCAL_KEY . ' (' . __LINE__ . ')',
						'maximum_grace_period_expired' => TEXT_CS_VALIDATION_MAXIMUM_GRACE_PERIOD_EXPIRED . ' (' . __LINE__ . ')',
						'local_key_tampering' => TEXT_CS_VALIDATION_LOCAL_KEY_TAMPERING . ' (' . __LINE__ . ')',
						'local_key_invalid_for_location' => TEXT_CS_VALIDATION_LOCAL_KEY_INVALID_FOR_LOCATION . ' (' . __LINE__ . ')',
						'missing_license_file' => TEXT_CS_VALIDATION_MISSING_LICENSE_FILE . ' (' . __LINE__ . ')',
						'license_file_not_writable' => TEXT_CS_VALIDATION_LICENSE_FILE_NOT_WRITABLE . ' (' . __LINE__ . ')',
						'invalid_local_key_storage' => TEXT_CS_VALIDATION_INVALID_LOCAL_KEY_STORAGE . ' (' . __LINE__ . ')',
						'could_not_save_local_key' => TEXT_CS_VALIDATION_COULD_NOT_SAVE_LOCAL_KEY . ' (' . __LINE__ . ')',
						'license_key_string_mismatch' => TEXT_CS_VALIDATION_LICENSE_KEY_STRING_MISMATCH . ' (' . __LINE__ . ')',
						);

		// replace plain text messages with tags, make the tags keys for this localization array on the server side.
		// move all plain text messages to tags & localizations
		$this->localization=array(
						'active' => TEXT_CS_VALIDATION_ACTIVE,
						'suspended' => TEXT_CS_VALIDATION_SUSPENDED,
						'expired' => TEXT_CS_VALIDATION_EXPIRED,
						'pending' => TEXT_CS_VALIDATION_PENDING,
						'download_access_expired' => TEXT_CS_VALIDATION_DOWNLOAD_ACCESS_EXPIRED,
						);
	}

	/**
	 * Validate the license
	 *
	 * @return string
	 */
	function validate()
	{
		// Make sure we have a license key.
		if (!$this->license_key)
		{
			return $this->errors=$this->status_messages['missing_license_key'];
		}

		// Make sure we have a valid local key type.
		if (!in_array(strtolower($this->local_key_type), $this->valid_local_key_types))
		{
			return $this->errors=$this->status_messages['unknown_local_key_type'];
		}

		// Read in the local key.
		$this->trigger_grace_period=$this->status_messages['could_not_obtain_local_key'];
		switch($this->local_key_storage)
		{
			case 'database':
				$local_key=$this->db_read_local_key();
				break;

			case 'filesystem':
				$local_key=$this->read_local_key();
				break;

			default:
				return $this->errors=$this->status_messages['missing_license_key'];
		}

		// The local key has expired, we can't go remote and we have grace periods defined.
		if ($this->errors==$this->trigger_grace_period&&$this->local_key_grace_period)
		{
			// Process the grace period request
			$grace=$this->process_grace_period($this->local_key_last);
			if ($grace['write'])
			{
				// We've consumed one of the allowed grace periods.
				if ($this->local_key_storage=='database')
				{
					$this->db_write_local_key($grace['local_key']);
				}
				elseif ($this->local_key_storage=='filesystem')
				{
					$this->write_local_key($grace['local_key'], "{$this->local_key_path}{$this->local_key_name}");
				}
			}

			// We've consumed all the allowed grace periods.
			if ($grace['errors']) { return $this->errors=$grace['errors']; }

			// We are in a valid grace period, let it slide!
			$this->errors=false;
			return $this;
		}

		// Did reading in the local key go ok?
		if ($this->errors)
		{
			return $this->errors;
		}

		// Validate the local key.
		return $this->validate_local_key($local_key);
	}

	/**
	 * Calculate the maximum grace period in unix timestamp.
	 *
	 * @param integer $local_key_expires
	 * @param integer $grace
	 * @return integer
	 */
	function calc_max_grace($local_key_expires, $grace)
	{
		return ((integer)$local_key_expires+((integer)$grace*86400));
	}

	/**
	 * Process the grace period for the local key.
	 *
	 * @param string $local_key
	 * @return string
	 */
	function process_grace_period($local_key)
	{
		// Get the local key expire date
		$local_key_src=$this->decode_key($local_key);
		$parts=$this->split_key($local_key_src);
		$key_data=unserialize($parts[0]);
		$local_key_expires=(integer)$key_data['local_key_expires'];
		unset($parts, $key_data);

		// Build the grace period rules
		$write_new_key=false;
		$parts=explode("\n\n", $local_key); $local_key=$parts[0];
		foreach ($local_key_grace_period=explode(',', $this->local_key_grace_period) as $key => $grace)
		{
			// add the separator
			if (!$key) { $local_key.="\n"; }

			// we only want to log days past
			if ($this->calc_max_grace($local_key_expires, $grace)>time()) { continue; }

			// log the new attempt, we'll try again next time
			$local_key.="\n{$grace}";

			$write_new_key=true;
		}

		// Are we at the maximum limit?
		if (time()>$this->calc_max_grace($local_key_expires, array_pop($local_key_grace_period)))
		{
			return array('write' => false, 'local_key' => '', 'errors' => $this->status_messages['maximum_grace_period_expired']);
		}

		return array('write' => $write_new_key, 'local_key' => $local_key, 'errors' => false);
	}

	/**
	 * Are we still in a grace period?
	 *
	 * @param string $local_key
	 * @param integer $local_key_expires
	 * @return integer
	 */
	function in_grace_period($local_key, $local_key_expires)
	{
		$grace=$this->split_key($local_key, "\n\n");
		if (!isset($grace[1])) { return -1; }

		return (integer)($this->calc_max_grace($local_key_expires, array_pop(explode("\n", $grace[1])))-time());
	}

	/**
	 * Validate the local license key.
	 *
	 * @param string $local_key
	 * @return string
	 */
	function decode_key($local_key)
	{
		return base64_decode(str_replace("\n", '', urldecode($local_key)));
	}

	/**
	 * Validate the local license key.
	 *
	 * @param string $local_key
	 * @param string $token		{spbas} or \n\n
	 * @return string
	 */
	function split_key($local_key, $token='{spbas}')
	{
		return explode($token, $local_key);
	}

	/**
	 * Does the key match anything valid?
	 *
	 * @param string $key
	 * @param array $valid_accesses
	 * @return array
	 */
	function validate_access($key, $valid_accesses)
	{
		return in_array($key, (array)$valid_accesses);
	}

	/**
	 * Create an array of wildcard IP addresses
	 *
	 * @param string $key
	 * @param array $valid_accesses
	 * @return array
	 */
	function wildcard_ip($key)
	{
		$octets=explode('.', $key);

		array_pop($octets);
		$ip_range[]=implode('.', $octets).'.*';

		array_pop($octets);
		$ip_range[]=implode('.', $octets).'.*';

		array_pop($octets);
		$ip_range[]=implode('.', $octets).'.*';

		return $ip_range;
	}

	/**
	 * Create an array of wildcard IP addresses
	 *
	 * @param string $key
	 * @param array $valid_accesses
	 * @return array
	 */
	function wildcard_domain($key)
	{
		return '*.'.str_replace('www.', '', $key);
	}

	/**
	 * Create a wildcard server hostname
	 *
	 * @param string $key
	 * @param array $valid_accesses
	 * @return array
	 */
	function wildcard_server_hostname($key)
	{
		$hostname=explode('.', $key);
		unset($hostname[0]);

		$hostname=(!isset($hostname[1]))?array($key):$hostname;

		return '*.'.implode('.', $hostname);
	}

	/**
	 * Extract a specific set of access details from the instance
	 *
	 * @param array $instances
	 * @param string $enforce
	 * @return array
	 */
	function extract_access_set($instances, $enforce)
	{
		foreach ($instances as $key => $instance)
		{
			if ($key!=$enforce) { continue; }
			return $instance;
		}

		return array();
	}

	/**
	 * Validate the local license key.
	 *
	 * @param string $local_key
	 * @return string
	 */
	function validate_local_key($local_key)
	{
		// Convert the license into a usable form.
		$local_key_src=$this->decode_key($local_key);

		// Break the key into parts.
		$parts=$this->split_key($local_key_src);

		// If we don't have all the required parts then we can't validate the key.
		if (!isset($parts[1]))
		{
			return $this->errors=$this->status_messages['local_key_tampering'];
		}

		// Make sure the data wasn't forged.
		if (md5($this->secret_key.$parts[0])!=$parts[1])
		{
			return $this->errors=$this->status_messages['local_key_tampering'];
		}
		unset($this->secret_key);

		// The local key data in usable form.
		$key_data=unserialize($parts[0]);
		$instance=$key_data['instance']; unset($key_data['instance']);
		$enforce=$key_data['enforce']; unset($key_data['enforce']);
		$this->key_data=$key_data;

		// Make sure this local key is valid for the license key string
		if ((string)$key_data['license_key_string']!=(string)$this->license_key)
		{
			return $this->errors=$this->status_messages['license_key_string_mismatch'];
		}

		// Make sure we are dealing with an active license.
		if ((string)$key_data['status']!='active')
		{
			return $this->errors=$this->status_messages[$key_data['status']];
		}

		// License string expiration check
		if ((string)$key_data['license_expires']!='never'&&(integer)$key_data['license_expires']<time())
		{
			return $this->errors=$this->status_messages['expired'];
		}

		// Local key expiration check
		if ((string)$key_data['local_key_expires']!='never'&&(integer)$key_data['local_key_expires']<time())
		{
			if ($this->in_grace_period($local_key, $key_data['local_key_expires'])<0)
			{
				// It's absolutely expired, go remote for a new key!
				$this->clear_cache_local_key(true);
				return $this->validate();
			}
		}

		// Download access check
		if ($this->validate_download_access&&(integer)$key_data['download_access_expires']<strtotime($this->release_date))
		{
			return $this->errors=$this->status_messages['download_access_expired'];
		}

		// Is this key valid for this location?
		$conflicts=array();
		$access_details=$this->access_details();
		foreach ((array)$enforce as $key)
		{
			$valid_accesses=$this->extract_access_set($instance, $key);
			if (!$this->validate_access($access_details[$key], $valid_accesses))
			{
				$conflicts[$key]=true;

				// check for wildcards
				if (in_array($key, array('ip', 'server_ip')))
				{
					foreach ($this->wildcard_ip($access_details[$key]) as $ip)
					{
						if ($this->validate_access($ip, $valid_accesses))
						{
							unset($conflicts[$key]);
							break;
						}
					}
				}
				elseif (in_array($key, array('domain')))
				{
					if ($this->validate_access($this->wildcard_domain($access_details[$key]) , $valid_accesses))
					{
						unset($conflicts[$key]);
					}
				}
				elseif (in_array($key, array('server_hostname')))
				{
					if ($this->validate_access($this->wildcard_server_hostname($access_details[$key]) , $valid_accesses))
					{
						unset($conflicts[$key]);
					}
				}
			}
		}

		// Is the local key valid for this location?
		if (!empty($conflicts))
		{
			return $this->errors=$this->status_messages['local_key_invalid_for_location'];
		}
	}

	/**
	 * Read in a new local key from the database.
	 *
	 * @return string
	 */
	function db_read_local_key()
	{
		$query=@mysql_query($this->read_query);
		if ($mysql_error=mysql_error()) { return $this -> errors="Error: {$mysql_error}"; }

		$result=@mysql_fetch_assoc($query);
		if ($mysql_error=mysql_error()) { return $this -> errors="Error: {$mysql_error}"; }

		// is the local key empty?
		if (!$result['local_key'])
		{
			// Yes, fetch a new local key.
			$result['local_key']=$this->fetch_new_local_key();

			// did fetching the new key go ok?
			if ($this->errors) { return $this->errors; }

			// Write the new local key.
			$this->db_write_local_key($result['local_key']);
		}

		// return the local key
		return $this->local_key_last=$result['local_key'];
	}

	/**
	 * Write the local key to the database.
	 *
	 * @return string|boolean string on error; boolean true on success
	 */
	function db_write_local_key($local_key)
	{
		@mysql_query(str_replace('{local_key}', $local_key, $this->update_query));
		if ($mysql_error=mysql_error()) { return $this -> errors="Error: {$mysql_error}"; }

		return true;
	}

	/**
	 * Read in the local license key.
	 *
	 * @return string
	 */
	function read_local_key()
	{
		if (!file_exists($path="{$this->local_key_path}{$this->local_key_name}"))
		{
			return $this -> errors=$this->status_messages['missing_license_file'].$path;
		}

		if (!is_writable($path))
		{
			return $this -> errors=$this->status_messages['license_file_not_writable'].$path;
		}

		// is the local key empty?
		if (!$local_key=@file_get_contents($path))
		{
			// Yes, fetch a new local key.
			$local_key=$this->fetch_new_local_key();

			// did fetching the new key go ok?
			if ($this->errors) { return $this->errors; }

			// Write the new local key.
			$this->write_local_key(urldecode($local_key), $path);
		}

		// return the local key
		return $this->local_key_last=$local_key;
	}

	/**
	 * Clear the local key file cache by passing in ?clear_local_key_cache=y
	 *
	 * @param boolean $clear
	 * @return string on error
	 */
	function clear_cache_local_key($clear=false)
	{
		switch(strtolower($this->local_key_storage))
		{
			case 'database':
				$this->db_write_local_key('');
				break;

			case 'filesystem':
				$this->write_local_key('', "{$this->local_key_path}{$this->local_key_name}");
				break;

			default:
				return $this -> errors=$this->status_messages['invalid_local_key_storage'];
		}
	}

	/**
	 * Write the local key to a file for caching.
	 *
	 * @param string $local_key
	 * @param string $path
	 * @return string|boolean string on error; boolean true on success
	 */
	function write_local_key($local_key, $path)
	{
		$fp=@fopen($path, 'w');
		if (!$fp) { return $this -> errors=$this->status_messages['could_not_save_local_key']; }
		@fwrite($fp, $local_key);
		@fclose($fp);

		return true;
	}

	/**
	 * Query the API for a new local key
	 *
	 * @return string|false string local key on success; boolean false on failure.
	 */
	function fetch_new_local_key()
	{
		// build a querystring
		$querystring="mod=license&task=SPBAS_validate_license&license_key={$this->license_key}&";
		$querystring.=$this->build_querystring($this->access_details());

		// was there an error building the access details?
		if ($this->errors) { return false; }

		$priority=$this->local_key_transport_order;
		while (strlen($priority))
		{
			$use=substr($priority, 0, 1);

			// try fsockopen()
			if ($use=='s')
			{
				if ($result=$this->use_fsockopen($this->api_server, $querystring))
				{
					break;
				}
			}

			// try curl()
			if ($use=='c')
			{
				if ($result=$this->use_curl($this->api_server, $querystring))
				{
					break;
				}
			}

			// try fopen()
			if ($use=='f')
			{
				if ($result=$this->use_fopen($this->api_server, $querystring))
				{
					break;
				}
			}

			$priority=substr($priority, 1);
		}

		if (!$result)
		{
			$this->errors=$this->status_messages['could_not_obtain_local_key'];
			return false;
		}

		if (substr($result, 0, 7)=='Invalid')
		{
			$this->errors=str_replace('Invalid', 'Error', $result);
			return false;
		}

		if (substr($result, 0, 5)=='Error')
		{
			$this->errors=$result;
			return false;
		}

		return $result;
	}

	/**
	 * Convert an array to querystring key/value pairs
	 *
	 * @param array $array
	 * @return string
	 */
	function build_querystring($array)
	{
		$buffer='';
		foreach ((array)$array as $key => $value)
		{
			if ($buffer) { $buffer.='&'; }
			$buffer.="{$key}={$value}";
		}

		return $buffer;
	}

	/**
	 * Build an array of access details
	 *
	 * @return array
	 */
	function access_details()
	{
		$access_details=array();

		// Try phpinfo()
		if (function_exists('phpinfo'))
		{
			ob_start();
			phpinfo();
			$phpinfo=ob_get_contents();
			ob_end_clean();

			$list=strip_tags($phpinfo);
			$access_details['domain']=$this->scrape_phpinfo($list, 'HTTP_HOST');
			$access_details['ip']=$this->scrape_phpinfo($list, 'SERVER_ADDR');
			$access_details['directory']=$this->scrape_phpinfo($list, 'SCRIPT_FILENAME');
			$access_details['server_hostname']=$this->scrape_phpinfo($list, 'System');
			$access_details['server_ip']=@gethostbyname($access_details['server_hostname']);
		}

		// Try legacy.
		$access_details['domain']=($access_details['domain'])?$access_details['domain']:$_SERVER['HTTP_HOST'];
		$access_details['ip']=($access_details['ip'])?$access_details['ip']:$this->server_addr();
		$access_details['directory']=($access_details['directory'])?$access_details['directory']:$this->path_translated();
		$access_details['server_hostname']=($access_details['server_hostname'])?$access_details['server_hostname']:@gethostbyaddr($access_details['ip']);
		$access_details['server_hostname']=($access_details['server_hostname'])?$access_details['server_hostname']:'Unknown';
		$access_details['server_ip']=($access_details['server_ip'])?$access_details['server_ip']:@gethostbyaddr($access_details['ip']);
		$access_details['server_ip']=($access_details['server_ip'])?$access_details['server_ip']:'Unknown';

		// Last resort, send something in...
		foreach ($access_details as $key => $value)
		{
			$access_details[$key]=($access_details[$key])?$access_details[$key]:'Unknown';
		}

		// enforce product IDs
		if ($this->valid_for_product_tiers)
		{
			$access_details['valid_for_product_tiers']=$this->valid_for_product_tiers;
		}

		return $access_details;
	}

	/**
	 * Get the directory path
	 *
	 * @return string|boolean string on success; boolean on failure
	 */
	function path_translated()
	{
		$option=array('PATH_TRANSLATED',
					'ORIG_PATH_TRANSLATED',
					'SCRIPT_FILENAME',
					'DOCUMENT_ROOT',
					'APPL_PHYSICAL_PATH');

		foreach ($option as $key)
		{
			if (!isset($_SERVER[$key])||strlen(trim($_SERVER[$key]))<=0) { continue; }

			if ($this->is_windows()&&strpos($_SERVER[$key], '\\'))
			{
				return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '\\'));
			}

			return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '/'));
		}

		return false;
	}

	/**
	 * Get the server IP address
	 *
	 * @return string|boolean string on success; boolean on failure
	 */
	function server_addr()
	{
		$options=array('SERVER_ADDR', 'LOCAL_ADDR');
		foreach ($options as $key)
		{
			if (isset($_SERVER[$key])) { return $_SERVER[$key]; }
		}

		return false;
	}

	/**
	 * Get access details from phpinfo()
	 *
	 * @param array $all
	 * @param string $target
	 * @return string|boolean string on success; boolean on failure
	 */
	function scrape_phpinfo($all, $target)
	{
		$all=explode($target, $all);
		if (count($all)<2) { return false; }
		$all=explode("\n", $all[1]);
		$all=trim($all[0]);

		if ($target=='System')
		{
			$all=explode(" ", $all);
			$all=trim($all[(strtolower($all[0])=='windows'&&strtolower($all[1])=='nt')?2:1]);
		}

		if ($target=='SCRIPT_FILENAME')
		{
			$slash=($this->is_windows()?'\\':'/');

			$all=explode($slash, $all);
			array_pop($all);
			$all=implode($slash, $all);
		}

		if (substr($all, 1, 1)==']') { return false; }

		return $all;
	}

	/**
	 * Pass the access details in using fsockopen
	 *
	 * @param string $url
	 * @param string $querystring
	 * @return string|boolean string on success; boolean on failure
	 */
	function use_fsockopen($url, $querystring)
	{
		if (!function_exists('fsockopen')) { return false; }

		$url=parse_url($url);

		$fp=@fsockopen($url['host'], $this->remote_port, $errno, $errstr, $this->remote_timeout);
		if (!$fp) { return false; }

		$header="POST {$url['path']} HTTP/1.0\r\n";
		$header.="Host: {$url['host']}\r\n";
		$header.="Content-type: application/x-www-form-urlencoded\r\n";
		$header.="User-Agent: SPBAS (http://www.spbas.com)\r\n";
		$header.="Content-length: ".@strlen($querystring)."\r\n";
		$header.="Connection: close\r\n\r\n";
		$header.=$querystring;

		$result=false;
		fputs($fp, $header);
		while (!feof($fp)) { $result.=fgets($fp, 1024); }
		fclose ($fp);

		if (strpos($result, '200')===false) { return false; }

		$result=explode("\r\n\r\n", $result, 2);

		if (!$result[1]) { return false; }

		return $result[1];
	}

	/**
	 * Pass the access details in using cURL
	 *
	 * @param string $url
	 * @param string $querystring
	 * @return string|boolean string on success; boolean on failure
	 */
	function use_curl($url, $querystring)
	{
		if (!function_exists('curl_init')) { return false; }

		$curl = curl_init();

		$header[0] = "Accept: text/xml,application/xml,application/xhtml+xml,";
		$header[0] .= "text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5";
		$header[] = "Cache-Control: max-age=0";
		$header[] = "Connection: keep-alive";
		$header[] = "Keep-Alive: 300";
		$header[] = "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7";
		$header[] = "Accept-Language: en-us,en;q=0.5";
		$header[] = "Pragma: ";

		curl_setopt($curl, CURLOPT_URL, $url);
		curl_setopt($curl, CURLOPT_USERAGENT, 'SPBAS (http://www.spbas.com)');
		curl_setopt($curl, CURLOPT_HTTPHEADER, $header);
		curl_setopt($curl, CURLOPT_ENCODING, 'gzip,deflate');
		curl_setopt($curl, CURLOPT_AUTOREFERER, true);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_POSTFIELDS, $querystring);
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
		curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, $this->remote_timeout);
		curl_setopt($curl, CURLOPT_TIMEOUT, $this->remote_timeout); // 60

		$result= curl_exec($curl);
		$info=curl_getinfo($curl);
		curl_close($curl);

		if ((integer)$info['http_code']!=200) { return false; }

		return $result;
	}

	/**
	 * Pass the access details in using the fopen wrapper file_get_contents()
	 *
	 * @param string $url
	 * @param string $querystring
	 * @return string|boolean string on success; boolean on failure
	 */
	function use_fopen($url, $querystring)
	{
		if (!function_exists('file_get_contents')) { return false; }

		return @file_get_contents("{$url}?{$querystring}");
	}

	/**
	 * Determine if we are running windows or not.
	 *
	 * @return boolean
	 */
	function is_windows()
	{
		return (strtolower(substr(php_uname(), 0, 7))=='windows');
	}

	/**
	 * Debug - prints a formatted array
	 *
	 * @param array $stack The array to display
	 * @param boolean $stop_execution
	 * @return string
	 */
	function pr($stack, $stop_execution=true)
	{
		$formatted='<pre>'.var_export((array)$stack, 1).'</pre>';

		if ($stop_execution) { die($formatted); }

		return $formatted;
	}
}

class whmcs {

	var $license_key;
	var $local_key;
	var $release_date;
	var $status_messages;
	var $errors;
	var $regdate;
	var $secret_key;
	var $url;
	var $ip;

	function whmcs() {
		$this->status_messages=array(
			'pending' => TEXT_CS_VALIDATION_PENDING,
			'suspended' => TEXT_CS_VALIDATION_SUSPENDED,
			'terminated' => TEXT_CS_VALIDATION_TERMINATED,
			'cancelled' => TEXT_CS_VALIDATION_CANCELLED,
			'fraud' => TEXT_CS_VALIDATION_FRAUD,
			'invalid' => TEXT_CS_VALIDATION_INVALID_LICENSE_KEY,
			'missing_license_key' => TEXT_CS_VALIDATION_MISSING_LICENSE_KEY,
		);

	}

	function validate()
	{
		global $db;

		if (!$this->license_key) {
			$this->errors = $this->status_messages['missing_license_key'];
		} else {
			$result = $this->check_license($this->license_key, $this->local_key, $this->url . '/');
			if (!isset($result['regdate']))
				$result = $this->check_license($this->license_key, $this->local_key, $this->ip . '/');

			$this->local_key = $result['localkey'];
			$this->regdate = $result['regdate'];

			$addons = array();
			if (!empty($result['addons']))
			{
				$i = 0;
				foreach (explode('|', $result['addons']) as $a1) {
					foreach (explode(';', $a1) as $a2) {
						$aa = explode('=', $a2);
						$addons[$i][$aa[0]] = $aa[1];
					}
					$i++;
				}
			}

			$release_date = strtotime($this->release_date);
			$release_date_formatted = date('Y-m-d', $release_date);
			$purchase_date = strtotime($this->regdate);
			$purchase_date_formatted = date('Y-m-d', $purchase_date);
			$valid_until = strtotime('+1 year', $purchase_date);

			$valid = true;
			if ($result['status'] != 'Active') {
				$this->errors = print_r($result, true);
				$this->errors = $this->status_messages[strtolower($result['status'])];
				if ($result['description'])
					$this->errors = $result['description'];
			}
			else if ($release_date > $valid_until)
			{
				$this->errors = TEXT_CS_VALIDATION_DOWNLOAD_ACCESS_EXPIRED;
				if (@count($addons)) {
					$i = 0;
					foreach ($addons as $addon) {
						if (strpos($addon['name'], 'Update') !== false) {
							if ($addon['nextduedate'] >= $this->release_date && $addon['status'] == 'Active')
							{
								unset($this->errors);
								break;
							}
							$i++;
						}
					}
				}
			}
		}

		return $this->errors;
	}

	function check_license($licensekey,$localkey='',$url='')
	{
		$licensing_secret_key = $this->secret_key; # Unique value, should match what is set in the product configuration for MD5 Hash Verification
		$check_token = time().md5(mt_rand(1000000000,9999999999).$licensekey);
		$checkdate = date("Ymd"); # Current date
		$usersip = isset($_SERVER['SERVER_ADDR']) ? $_SERVER['SERVER_ADDR'] : $_SERVER['LOCAL_ADDR'];
		$localkeydays = 7; # How long the local key is valid for in between remote checks
		$allowcheckfaildays = 0; # How many days to allow after local key expiry before blocking access if connection cannot be made
		$localkeyvalid = false;
		if ($localkey) {
			$localkey = str_replace("\n",'',$localkey); # Remove the line breaks
			$localdata = substr($localkey,0,strlen($localkey)-32); # Extract License Data
			$md5hash = substr($localkey,strlen($localkey)-32); # Extract MD5 Hash
			if ($md5hash==md5($localdata.$licensing_secret_key)) {
				$localdata = strrev($localdata); # Reverse the string
				$md5hash = substr($localdata,0,32); # Extract MD5 Hash
				$localdata = substr($localdata,32); # Extract License Data
				$localdata = base64_decode($localdata);
				$localkeyresults = unserialize($localdata);
				$originalcheckdate = $localkeyresults["checkdate"];
				if ($md5hash==md5($originalcheckdate.$licensing_secret_key)) {
					$localexpiry = date("Ymd",mktime(0,0,0,date("m"),date("d")-$localkeydays,date("Y")));
					if ($originalcheckdate>$localexpiry) {
						$localkeyvalid = true;
						$results = $localkeyresults;
						$validdomains = explode(",",$results["validdomain"]);
						if (!in_array($_SERVER['SERVER_NAME'], $validdomains)) {
							$localkeyvalid = false;
							$localkeyresults["status"] = "Invalid";
							$localkeyresults["description"] = TEXT_CS_VALIDATION_DOMAIN_INVALID . ' ('.__LINE__.')';
							$results = array();
						}
						$validips = explode(",",$results["validip"]);
						if (!in_array($usersip, $validips)) {
							$localkeyvalid = false;
							$localkeyresults["status"] = "Invalid";
							$localkeyresults["description"] = TEXT_CS_VALIDATION_IP_INVALID . ' ('.__LINE__.')';
							$results = array();
						}
						if ($results["validdirectory"]!=dirname(__FILE__)) {
							$localkeyvalid = false;
							$localkeyresults["status"] = "Invalid";
							$localkeyresults["description"] = TEXT_CS_VALIDATION_DIR_INVALID . ' ('.__LINE__.')';
							$results = array();
						}
					}
				}
			}
		}

		if (!$localkeyvalid) {
			$postfields["licensekey"] = $licensekey;
			$postfields["domain"] = $_SERVER['SERVER_NAME'];
			$postfields["ip"] = $usersip;
			$postfields["dir"] = dirname(__FILE__);
			if ($check_token) $postfields["check_token"] = $check_token;
			if (function_exists("curl_exec")) {
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, $url."modules/servers/licensing/verify.php");
				curl_setopt($ch, CURLOPT_POST, 1);
				curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields);
				curl_setopt($ch, CURLOPT_TIMEOUT, 30);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				$data = curl_exec($ch);
				curl_close($ch);

			} else {
				$fp = fsockopen($url, 80, $errno, $errstr, 5);
				if ($fp) {
					$querystring = "";
					foreach ($postfields AS $k=>$v) {
						$querystring .= "$k=".urlencode($v)."&";
					}
					$header="POST ".$url."modules/servers/licensing/verify.php HTTP/1.0\r\n";
					$header.="Host: ".$url."\r\n";
					$header.="Content-type: application/x-www-form-urlencoded\r\n";
					$header.="Content-length: ".@strlen($querystring)."\r\n";
					$header.="Connection: close\r\n\r\n";
					$header.=$querystring;
					$data="";
					@stream_set_timeout($fp, 20);
					@fputs($fp, $header);
					$status = @socket_get_status($fp);
					while (!@feof($fp)&&$status) {
						$data .= @fgets($fp, 1024);
						$status = @socket_get_status($fp);
					}
					@fclose ($fp);
				}
			}
			if (!$data && !$results) {
				$localexpiry = date("Ymd",mktime(0,0,0,date("m"),date("d")-($localkeydays+$allowcheckfaildays),date("Y")));
				if ($originalcheckdate>$localexpiry) {
					$results = $localkeyresults;
				} else {
					$results["status"] = "Invalid";
					$results["description"] = TEXT_CS_VALIDATION_COULD_NOT_OBTAIN_LOCAL_KEY_CANT_CONTACT_SERVER . ' ('.__LINE__.')';
					return $results;
				}
			} else {
				preg_match_all('/<(.*?)>([^<]+)<\/\\1>/i', $data, $matches);
				$results = array();
				foreach ($matches[1] AS $k=>$v) {
					$results[$v] = $matches[2][$k];
				}
			}
			if ($results["md5hash"]) {
				$md5hashCheck = md5($licensing_secret_key.$check_token);
				if ($results["md5hash"]!=$md5hashCheck) {
					$results["status"] = "Invalid";
					$results["description"] = TEXT_CS_VALIDATION_MD5_FAILED . ' ('.__LINE__.')';
					return $results;
				}
			}
			if ($results["status"]=="Active") {
				$results["checkdate"] = $checkdate;
				$data_encoded = serialize($results);
				$data_encoded = base64_encode($data_encoded);
				$data_encoded = md5($checkdate.$licensing_secret_key).$data_encoded;
				$data_encoded = strrev($data_encoded);
				$data_encoded = $data_encoded.md5($data_encoded.$licensing_secret_key);
				$data_encoded = wordwrap($data_encoded,80,"\n",true);
				$results["localkey"] = $data_encoded;
			}
			$results["remotecheck"] = true;
		}

		if (isset($localkey) && !isset($results["localkey"]))
			$results["localkey"] = $localkey;

		if (!isset($results["status"]))
			$results["status"] = "Invalid";

		unset($postfields,$data,$matches,$url,$licensing_secret_key,$checkdate,$usersip,$localkeydays,$allowcheckfaildays,$md5hash);
		return $results;
	}
}
